<template>
  <ObModal
    ref="modal"
    size="md"
    title="Принято! Готовим данные для выгрузки"
  >
    <p>
      Мы получили ваш запрос на выгрузку данных и в течение нескольких минут
      отправим на электронную почту {{ formData.email }} письмо со ссылкой на скачивание файла.
    </p>

    <div
      slot="footer"
      class="export-result-modal-footer"
    >
      <ObButton
        label="Закрыть"
        @click="close"
      />

      <a
        class="link-style"
        @click.prevent="openReportsPage"
      >
        Смотреть уже сформированные отчеты
      </a>
    </div>
  </ObModal>
</template>

<script>
  import FormValidationMixin from 'common-components/src/obComponents/obForm/FormValidationMixin'

  import ObModal from 'common-components/src/obComponents/obModal'
  import ObButton from 'common-components/src/obComponents/obButton'

  export default {
    name: 'SuccessExport',
    mixins: [
      FormValidationMixin
    ],
    components: {
      ObModal,
      ObButton
    },
    methods: {
      open () {
        this.$refs.modal.open()
      },
      close () {
        this.$refs.modal.close()
      },
      openReportsPage () {
        window.open(this.$router.resolve( { path: '/tenders/?tenders_type=reports' }).href, '_blank')
      }
    }
  }
</script>

<style lang="scss" scoped>
  .export-result-modal-footer {
    margin-top: 40px;
    display: flex;
    justify-content: space-between;
    align-items: center;
  }
</style>